Summary:	A plugin for the Xfce4 panel displaying keyboard layout
Name:		xfce-xkb-plugin
Version:	0.4.3
Release:	%mkrel 2
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-xkb-plugin/xfce4-xkb-plugin-%{version}.tar.bz2
Requires:	xfce-panel >= 4.4
BuildRequires:	xfce-panel-devel >= 4.4
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-xkb
Provides:	xfce-xkb
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A plugin for the Xfce4 panel displaying keyboard layout.
The plugin may be used as an indicator for the current layout
and to switch layouts.
The layouts must be defined either in XF86Config or by 
xetskbmap tool.
 
%prep
%setup -qn xfce4-xkb-plugin-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/panel-plugins/*.a

%find_lang xfce4-xkb-plugin

%clean
rm -rf  %{buildroot}

%files -f xfce4-xkb-plugin.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%dir %{_datadir}/xfce4/xkb
%{_datadir}/xfce4/xkb/*
%{_datadir}/*/*/xkb-plugin.desktop
%{_libdir}/xfce4/panel-plugins/


%changelog
* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-2mdv2008.0
+ Revision: 30500
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 30296
- new version


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.2-1mdv2007.0
+ Revision: 103265
- New release

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-xkb-plugin-0.4.1-2mdv2007.0

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.4.1-2mdv2007.0
- rebuild for xfce-4.3.90.2

* Sat Jun 10 2006 Charles A Edwards <eslrahc@mandriva.org> 0.4.1-1mdv2007.0
- 0.4.1
- mkrel

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.3.2-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Fri Nov 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.3.2-1mdk
- 0.3.2
- use plugin in name
- build against new panel
-add O/P

* Mon May 31 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.1-1mdk
- first Mdk release

